net.minecraft.nbt

## Class CompressedStreamTools

- java.lang.Object
- - net.minecraft.nbt.CompressedStreamTools

-     public class CompressedStreamTools
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedStreamTools()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `compress(NBTTagCompound par0NBTTagCompound)`
    `static NBTTagCompound` | `decompress(byte[] par0ArrayOfByte)`
    `static NBTTagCompound` | `read(java.io.DataInput par0DataInput)`
    `static NBTTagCompound` | `read(java.io.File par0File)`
    `static NBTTagCompound` | `readCompressed(java.io.InputStream par0InputStream)`
    `static void` | `safeWrite(NBTTagCompound par0NBTTagCompound, java.io.File par1File)`
    `static void` | `write(NBTTagCompound par0NBTTagCompound, java.io.DataOutput par1DataOutput)`
    `static void` | `write(NBTTagCompound par0NBTTagCompound, java.io.File par1File)`
    `static void` | `writeCompressed(NBTTagCompound par0NBTTagCompound, java.io.OutputStream par1OutputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedStreamTools

          public CompressedStreamTools()

  - ### Method Detail

    - #### readCompressed

          public static NBTTagCompound readCompressed(java.io.InputStream par0InputStream)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeCompressed

          public static void writeCompressed(NBTTagCompound par0NBTTagCompound,
                             java.io.OutputStream par1OutputStream)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decompress

          public static NBTTagCompound decompress(byte[] par0ArrayOfByte)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### compress

          public static byte[] compress(NBTTagCompound par0NBTTagCompound)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### safeWrite

          public static void safeWrite(NBTTagCompound par0NBTTagCompound,
                       java.io.File par1File)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public static NBTTagCompound read(java.io.DataInput par0DataInput)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public static void write(NBTTagCompound par0NBTTagCompound,
                   java.io.DataOutput par1DataOutput)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public static void write(NBTTagCompound par0NBTTagCompound,
                   java.io.File par1File)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public static NBTTagCompound read(java.io.File par0File)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`